List campaigns
curl --request GET \
--url https://api.pineyard.ai/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"channel": "VOICE",
"status": "<string>",
"reservedConcurrency": 123,
"variableMap": {},
"startedAt": "<string>",
"endedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"campaignTypeId": "<string>",
"campaignTypeName": "<string>",
"customExtractionKeys": [
{
"name": "<string>",
"type": "string",
"description": "<string>"
}
],
"effectiveExtractionKeys": [
{
"name": "<string>",
"type": "string",
"description": "<string>"
}
],
"notificationUserIds": [
"<string>"
],
"source": "CSV",
"defaultCrmConnectionId": "<string>",
"defaultCrmSegmentId": "<string>",
"description": "<string>",
"whatsappOutreachTemplateId": "<string>",
"whatsappTemplateByMetric": null,
"messageDeclinedLeads": true,
"dailyMessageCap": 123,
"outreachRules": [
{
"trigger": "MESSAGE_REPLY",
"afterDays": 45,
"condition": {
"kind": "ai_interested",
"describe": "<string>"
},
"conditions": [
{
"kind": "ai_interested",
"describe": "<string>"
}
],
"match": "ALL",
"action": "HAND_OFF"
}
],
"whatsappEnabled": true,
"whatsappAgentTemplateIds": [
"<string>"
],
"whatsappPaymentLinkEnabled": true,
"recoveryLinkEnabled": true,
"whatsappAutomations": [
{
"key": "<string>",
"label": "<string>",
"detail": "<string>"
}
],
"workflowId": "<string>",
"countryCode": "<string>",
"phoneColumn": "<string>",
"altPhoneColumns": [
"<string>"
],
"removeInvalidRows": true,
"transliterateCalleeNames": true,
"uploadId": "<string>",
"timezone": "<string>",
"scheduledStartAt": "<string>",
"scheduledEndAt": "<string>",
"dailyWindowStart": "<string>",
"dailyWindowEnd": "<string>",
"retryCount": 123,
"cooldownMinutes": 123,
"retryDelaysMinutes": [
123
],
"retryConcurrencyPercent": 123,
"followupEnabled": true,
"followupMaxAttempts": 123,
"churnEnabled": true,
"churnMaxAttempts": 123,
"churnIntervalHours": 123,
"churnDelaysHours": [
123
],
"goal": "<string>",
"incompleteRetryEnabled": true,
"incompleteRetryMaxAttempts": 123,
"incompleteRetryIntervalMinutes": 123,
"incompleteRetryDelaysMinutes": [
123
],
"incompleteCallSeconds": 123,
"referralMaxDepth": 123,
"skipRetryOnFirstVoicemail": true,
"messageRetryEnabled": true,
"messageRetryMaxAttempts": 123,
"messageRetryIntervalSeconds": 123,
"messageRetryDelaysSeconds": [
123
],
"messageRetryWindowSeconds": 123,
"messageRetryTieredEnabled": true,
"messageRetryTransientMaxAttempts": 123,
"autoReseedEnabled": true,
"briefFileName": "<string>",
"briefUploadedAt": "<string>",
"briefText": "<string>",
"dailyDialCap": 123,
"dialDays": [
123
],
"evaluationMetrics": [
{
"key": "<string>",
"label": "<string>",
"allowedValues": [
"<string>"
],
"prompt": "<string>",
"builtin": true
}
],
"contactCount": 123,
"receivedCalls": 123
}
]Campaigns
List campaigns
GET
/
campaigns
List campaigns
curl --request GET \
--url https://api.pineyard.ai/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"channel": "VOICE",
"status": "<string>",
"reservedConcurrency": 123,
"variableMap": {},
"startedAt": "<string>",
"endedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"campaignTypeId": "<string>",
"campaignTypeName": "<string>",
"customExtractionKeys": [
{
"name": "<string>",
"type": "string",
"description": "<string>"
}
],
"effectiveExtractionKeys": [
{
"name": "<string>",
"type": "string",
"description": "<string>"
}
],
"notificationUserIds": [
"<string>"
],
"source": "CSV",
"defaultCrmConnectionId": "<string>",
"defaultCrmSegmentId": "<string>",
"description": "<string>",
"whatsappOutreachTemplateId": "<string>",
"whatsappTemplateByMetric": null,
"messageDeclinedLeads": true,
"dailyMessageCap": 123,
"outreachRules": [
{
"trigger": "MESSAGE_REPLY",
"afterDays": 45,
"condition": {
"kind": "ai_interested",
"describe": "<string>"
},
"conditions": [
{
"kind": "ai_interested",
"describe": "<string>"
}
],
"match": "ALL",
"action": "HAND_OFF"
}
],
"whatsappEnabled": true,
"whatsappAgentTemplateIds": [
"<string>"
],
"whatsappPaymentLinkEnabled": true,
"recoveryLinkEnabled": true,
"whatsappAutomations": [
{
"key": "<string>",
"label": "<string>",
"detail": "<string>"
}
],
"workflowId": "<string>",
"countryCode": "<string>",
"phoneColumn": "<string>",
"altPhoneColumns": [
"<string>"
],
"removeInvalidRows": true,
"transliterateCalleeNames": true,
"uploadId": "<string>",
"timezone": "<string>",
"scheduledStartAt": "<string>",
"scheduledEndAt": "<string>",
"dailyWindowStart": "<string>",
"dailyWindowEnd": "<string>",
"retryCount": 123,
"cooldownMinutes": 123,
"retryDelaysMinutes": [
123
],
"retryConcurrencyPercent": 123,
"followupEnabled": true,
"followupMaxAttempts": 123,
"churnEnabled": true,
"churnMaxAttempts": 123,
"churnIntervalHours": 123,
"churnDelaysHours": [
123
],
"goal": "<string>",
"incompleteRetryEnabled": true,
"incompleteRetryMaxAttempts": 123,
"incompleteRetryIntervalMinutes": 123,
"incompleteRetryDelaysMinutes": [
123
],
"incompleteCallSeconds": 123,
"referralMaxDepth": 123,
"skipRetryOnFirstVoicemail": true,
"messageRetryEnabled": true,
"messageRetryMaxAttempts": 123,
"messageRetryIntervalSeconds": 123,
"messageRetryDelaysSeconds": [
123
],
"messageRetryWindowSeconds": 123,
"messageRetryTieredEnabled": true,
"messageRetryTransientMaxAttempts": 123,
"autoReseedEnabled": true,
"briefFileName": "<string>",
"briefUploadedAt": "<string>",
"briefText": "<string>",
"dailyDialCap": 123,
"dialDays": [
123
],
"evaluationMetrics": [
{
"key": "<string>",
"label": "<string>",
"allowedValues": [
"<string>"
],
"prompt": "<string>",
"builtin": true
}
],
"contactCount": 123,
"receivedCalls": 123
}
]Required scope:
campaigns.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Response
OK
Available options:
VOICE, WHATSAPP, VOICE_THEN_WHATSAPP, WHATSAPP_THEN_VOICE, CUSTOM, EMAIL Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
CSV, CRM_MANUAL, CRM_WEBHOOK, API, INBOUND Maximum array length:
20Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
12Show child attributes
Show child attributes

